%global momorel 5

Summary: A photographic lens database and a library for accessing it
Name: lensfun
Version: 0.2.5
Release: %{momorel}m%{?dist}
License: LGPLv3
Group: System Environment/Libraries
URL: http://lensfun.berlios.de/
Source0: http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-cpuid.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: libpng-devel
BuildRequires: python
BuildRequires: zlib-devel

%description
The goal of the lensfun library is to provide a open source database
of photographic lenses and their characteristics. In the past there
was a effort in this direction (see http://www.epaperpress.com/ptlens/),
but then author decided to take the commercial route and the database
froze at the last public stage. This database was used as the basement
on which lensfun database grew, thanks to PTLens author which gave his
permission for this, while the code was totally rewritten from scratch
(and the database was converted to a totally new, XML-based format).

The lensfun library not only provides a way to read the database and
search for specific things in it, but also provides a set of algorithms
for correcting images based on detailed knowledge of lens properties
and calibration data. Right now lensfun is designed to correct distortion,
transversal (also known as lateral) chromatic aberrations, vignetting
and colour contribution index of the lens.

%package devel
Summary: lensfun development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Header and library definition files for developing applications
that use the lensfun library/database.

%prep
%setup -q

%patch0 -p1 -b .cpuid

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
LD="%{__cxx}" \
./configure   --prefix=%{_prefix} \
  --cflags="${CFLAGS:-%optflags}"  \
  --cxxflags="${CXXFLAGS:-%optflags}" \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir}/lensfun \
  --libdir=%{_libdir} \
  --includedir=%{_includedir} \
  --libexecdir=%{_libexecdir} \
  --target=..generic

make AUTODEP=0 %{?_smp_mflags} lensfun manual V=1 GCC.LDFLAGS.release=""

%install
%{__rm} -rf %{buildroot}
make AUTODEP=0 INSTALL_PREFIX=%{?buildroot:%{buildroot}} install

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/*.txt
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so

%changelog
* Tue Mar  8 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-5m)
- import cpuid.patch from Fedora to avoid crashing of ufraw-0.17 or higher
- https://bugzilla.redhat.com/show_bug.cgi?id=631674

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.5-4m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-3m)
- full rebuild for mo7 release

* Sun Jul  4 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-2m)
- touch up spec file

* Fri Apr  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-1m)
- version 0.2.5
- clean up spec file

* Sun Nov 22 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-1m)
- [CRASH FIX] version 0.2.4, ufraw is working fully on trunk now
- remove merged trunk_db.patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.2.3-2m)
- append "NoSource: 0"

* Tue Dec 30 2008 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.2.3-1m)
- Initial specfile for Momonga.
